QGIS Application - Bug report #13188

Please improve 'Missing dependency' error message

2015-08-06 01:57 AM - Markus Neteler

Status: Closed

Priority: High

Assignee: Victor Olaya
Category: Processing/GRASS

Affected QGIS version:2.10.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 21250

Description

Using QGIS 2.10 on Linux (also elsewhere), does not let me run GRASS GIS 7 through processing any more.

The issue is likely that Processing searches for a specific name to start GRASS 7 ('grass', 'grass?’, 'grass70', 'grass-7', ... who knows??)

which is not present on the system as such.

Subsequently the following error message pops up but does not tell me what it was actually looking for:

Missing dependency. This algorithm cannot be run :-(

This algorithm requires GRASS GIS 7 to be run. Unfortunately, it seems that GRASS GIS 7 is not installed in your system, or it is

not correctly configured to be used from QGIS

Click here to know more about how to install and configure GRASS GIS 7 to be used with QGIS

Solution: include in the message the command string which failed (the hardcoded? name which Processing actually expects here so that

the user can create a link to the true startup script name of GRASS 7). The current error message above is rather useless as such.

| tried to find the name Processing expects in the Python code but could not identify it.

A lot of people have this issue (see gis.stackexchange.com etc) but no clue how to solve it.

Associated revisions

Revision 75926152 - 2016-01-18 11:17 AM - Alexander Bruy

[processing] include GRASS path in the error message to make it more informative (fix #13188)

History

#1 - 2015-08-07 04:00 AM - Giovanni Manghi
- Crashes QGIS or corrupts data set to No

- Project changed from 78 to QGIS Application
- Category deleted (59)

#2 - 2015-08-07 05:23 AM - Markus Neteler
- Affected QGIS version setto 2.10.1

- Crashes QGIS or corrupts data changed from No to Yes

... | would be glad to know the GRASS startup script name Processing expects.
| tick again "Causes crash or corruption" because it simply doesn't work so far.

#3 - 2015-08-11 10:54 AM - Markus Neteler

See also bug #13072

#4 - 2015-10-06 12:54 AM - Jiirgen Fischer

- Category set to Processing/GRASS

#5 - 2016-01-18 02:17 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"75926f52aaf479bbe663978b05b7ba216ceal37¢e".

#6 - 2016-01-18 02:20 AM - Alexander Bruy
- Resolution set to fixed/implemented

"Missing dependency" message was removed from Processing during Ul/UX improvements. But | added GRASS path to the similar message, hope it

helps.
